#!/usr/bin/env python

"""
open_sprites.py

Open a Konqueror window with an appropriate URL for the URL passed as
an argument.

Copyright (C) 2003 David Boddie <david@boddie.org.uk>

This software is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; see the file COPYING
If not, write to the Free Software Foundation, Inc.,
59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""

import commands, os, sys

if __name__ == "__main__":

    if len(sys.argv) != 2:
    
        sys.exit()
    
    file = sys.argv[1]
    
    os.system("konqueror %s &" % commands.mkarg("sprites:" + file))
    
    sys.exit()
